/*******************************************************************************
***  This file is part of Dux Rei Nummariae.                                 ***
***                                                                          ***
***  Copyright (C) 2017, 2018, 2019, 2020, 2021, 2022, 2023, 2024            ***
***  John Schneiderman <Licencing _AT_ Schneiderman _DOT_ me>                ***
***                                                                          ***
***  This program is free software: you can redistribute it and/or modify it ***
***  under the terms of the GNU Affero General Public License as published   ***
***  by the Free Software Foundation, either version 3 of the License, or    ***
***  (at your option) any later version.                                     ***
***                                                                          ***
***  This program is distributed in the hope that it will be useful, but     ***
***  WITHOUT ANY WARRANTY; without even the implied warranty of              ***
***  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    ***
***  See the GNU Affero General Public License for more details.             ***
***                                                                          ***
***  You should have received a copy of the GNU Affero General Public License***
***  along with this program. If not, see <http://www.gnu.org/licenses/>.    ***
*******************************************************************************/
#ifndef DRN_BUDGETING_CONSTANTS_HPP_
#define DRN_BUDGETING_CONSTANTS_HPP_

/**
 * @file Constants.hpp This is a collection of numerical and C-style string constants. This must not
 * include any declaration files.
 */

namespace drn::budgeting
{

///The minimum number of possible hours in a standard calendar work week.
inline constexpr int minimumHoursInAWeek{1};
///The minimum number of possible days in a standard calendar work week.
inline constexpr int minimumDaysInAWeek{1};
///The minimum number of days to notify when a budget item is due.
inline constexpr int minimumDaysNotifyWithin{0};
///The maximum number of days to notify when a budget item is due.
inline constexpr int maximumDaysNotifyWithin{60};

}

#endif
