/*******************************************************************************
***  This file is part of Dux Rei Nummariae.                                 ***
***                                                                          ***
***  Copyright (C) 2017, 2018, 2019, 2020, 2021, 2022, 2023, 2024            ***
***  John Schneiderman <Licencing _AT_ Schneiderman _DOT_ me>                ***
***                                                                          ***
***  This program is free software: you can redistribute it and/or modify it ***
***  under the terms of the GNU Affero General Public License as published   ***
***  by the Free Software Foundation, either version 3 of the License, or    ***
***  (at your option) any later version.                                     ***
***                                                                          ***
***  This program is distributed in the hope that it will be useful, but     ***
***  WITHOUT ANY WARRANTY; without even the implied warranty of              ***
***  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    ***
***  See the GNU Affero General Public License for more details.             ***
***                                                                          ***
***  You should have received a copy of the GNU Affero General Public License***
***  along with this program. If not, see <http://www.gnu.org/licenses/>.    ***
*******************************************************************************/
#ifndef DRN_DESKTOP_UI_VERTICALLABEL_H_
#define DRN_DESKTOP_UI_VERTICALLABEL_H_

#include <QLabel>

#include <desktop-ui_export.h>


class QPainter;
class QPaintEvent;

namespace drn
{
namespace foundation
{

template<typename>
class QtPtr;

}
namespace desktop_ui
{

/**
 * @brief Displays a QLabel in a vertical direction instead of horizontally.
 */
class DRN_DESKTOP_UI_EXPORT VerticalLabel final : public QLabel
{
	Q_OBJECT

	void adjustToVertical(QPainter& painter);

public:
	VerticalLabel(const foundation::QtPtr<::QWidget>& parent);

protected:
	void paintEvent(QPaintEvent*) override;
	QSize sizeHint() const override;
	QSize minimumSizeHint() const override;
};

}}

#endif
