/*******************************************************************************
***  This file is part of Dux Rei Nummariae.                                 ***
***                                                                          ***
***  Copyright (C) 2017, 2018, 2019, 2020, 2021, 2022, 2023, 2024            ***
***  John Schneiderman <Licencing _AT_ Schneiderman _DOT_ me>                ***
***                                                                          ***
***  This program is free software: you can redistribute it and/or modify it ***
***  under the terms of the GNU Affero General Public License as published   ***
***  by the Free Software Foundation, either version 3 of the License, or    ***
***  (at your option) any later version.                                     ***
***                                                                          ***
***  This program is distributed in the hope that it will be useful, but     ***
***  WITHOUT ANY WARRANTY; without even the implied warranty of              ***
***  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    ***
***  See the GNU Affero General Public License for more details.             ***
***                                                                          ***
***  You should have received a copy of the GNU Affero General Public License***
***  along with this program. If not, see <http://www.gnu.org/licenses/>.    ***
*******************************************************************************/
#ifndef DRN_FOUNDATION_PRESENTATIONTAGS_HPP
#define DRN_FOUNDATION_PRESENTATIONTAGS_HPP

#include "StrongTypeDef.hpp"


namespace drn::foundation
{

/**
 * @brief A flag to indicate that the operation should be aware of the users' locale.
 */
struct LocaleAware : TaggedBoolean
{
	using TaggedBoolean::TaggedBoolean;
};
/**
 * @brief A flag to indicate that the operation should be done using the currency code.
 */
struct WithCurrency : TaggedBoolean
{
	using TaggedBoolean::TaggedBoolean;
};
/**
 * @brief A flag to indicate that the operation should space the currency.
 */
struct SpaceCurrency : TaggedBoolean
{
	using TaggedBoolean::TaggedBoolean;
};
/**
 * @brief A flag to indicate that the operation should truncate implied zeros.
 */
struct TruncateZeros : TaggedBoolean
{
 using TaggedBoolean::TaggedBoolean;
};

}

#endif
