/*******************************************************************************
***  This file is part of Dux Rei Nummariae.                                 ***
***                                                                          ***
***  Copyright (C) 2017, 2018, 2019, 2020, 2021, 2022, 2023, 2024            ***
***  John Schneiderman <Licencing _AT_ Schneiderman _DOT_ me>                ***
***                                                                          ***
***  This program is free software: you can redistribute it and/or modify it ***
***  under the terms of the GNU Affero General Public License as published   ***
***  by the Free Software Foundation, either version 3 of the License, or    ***
***  (at your option) any later version.                                     ***
***                                                                          ***
***  This program is distributed in the hope that it will be useful, but     ***
***  WITHOUT ANY WARRANTY; without even the implied warranty of              ***
***  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    ***
***  See the GNU Affero General Public License for more details.             ***
***                                                                          ***
***  You should have received a copy of the GNU Affero General Public License***
***  along with this program. If not, see <http://www.gnu.org/licenses/>.    ***
*******************************************************************************/
#ifndef DRN_FOUNDATION_QT_BACKPORTS_H
#define DRN_FOUNDATION_QT_BACKPORTS_H

#include <compare>
#include <chrono>

#include <foundation_export.h>

#include <Qt>

#if QT_VERSION < QT_VERSION_CHECK(6, 5, 0)

class QDate;
class QDebug;
class QString;

namespace drn::foundation
{

[[nodiscard]]
DRN_FOUNDATION_EXPORT std::strong_ordering operator<=>(
	const ::QString& lhs,
	const ::QString& rhs
) noexcept;

[[nodiscard]]
DRN_FOUNDATION_EXPORT std::strong_ordering operator<=>(
	const ::QDate& lhs,
	const ::QDate& rhs
) noexcept;

DRN_FOUNDATION_EXPORT ::QDebug operator<<(::QDebug out, const std::chrono::days& val);

DRN_FOUNDATION_EXPORT ::QDebug operator<<(::QDebug out, const std::chrono::months& val);

template<typename ValueType>
::QDebug operator<<(::QDebug out, const std::optional<ValueType>& opt);

DRN_FOUNDATION_EXPORT ::QDebug operator<<(::QDebug out, const std::chrono::seconds& val);

DRN_FOUNDATION_EXPORT ::QDebug operator<<(::QDebug out, const std::chrono::milliseconds& val);

DRN_FOUNDATION_EXPORT ::QDebug operator<<(::QDebug out, const std::chrono::hours& val);

}

#include "QtBackports.tpp"

#endif

#endif
