/*******************************************************************************
***  This file is part of Dux Rei Nummariae.                                 ***
***                                                                          ***
***  Copyright (C) 2017, 2018, 2019, 2020, 2021, 2022, 2023, 2024            ***
***  John Schneiderman <Licencing _AT_ Schneiderman _DOT_ me>                ***
***                                                                          ***
***  This program is free software: you can redistribute it and/or modify it ***
***  under the terms of the GNU Affero General Public License as published   ***
***  by the Free Software Foundation, either version 3 of the License, or    ***
***  (at your option) any later version.                                     ***
***                                                                          ***
***  This program is distributed in the hope that it will be useful, but     ***
***  WITHOUT ANY WARRANTY; without even the implied warranty of              ***
***  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    ***
***  See the GNU Affero General Public License for more details.             ***
***                                                                          ***
***  You should have received a copy of the GNU Affero General Public License***
***  along with this program. If not, see <http://www.gnu.org/licenses/>.    ***
*******************************************************************************/
#ifndef DRN_SURVEYING_INDEXEDINCREASEDECREASES_H_
#define DRN_SURVEYING_INDEXEDINCREASEDECREASES_H_

#include <pecunia/Money.hpp>

#include <map>


namespace drn::surveying
{

/**
 * @brief A container for indexing increases and decreases by a unique identifier.
 *
 * @tparm KeyType The type that uniquely identifies an entry.
 */
template<typename KeyType>
struct IndexedIncreaseDecreases
{
	/// All the increases made indexed by a unique identifier. The value is the amount of the key.
	std::map<KeyType, pecunia::Money> increases_;
	/// All the expenses made indexed by a unique identifier. The value is the amount of the key.
	std::map<KeyType, pecunia::Money> decreases_;
};

}

#endif
