/*******************************************************************************
***  This file is part of Dux Rei Nummariae.                                 ***
***                                                                          ***
***  Copyright (C) 2017, 2018, 2019, 2020, 2021, 2022, 2023, 2024            ***
***  John Schneiderman <Licencing _AT_ Schneiderman _DOT_ me>                ***
***                                                                          ***
***  This program is free software: you can redistribute it and/or modify it ***
***  under the terms of the GNU Affero General Public License as published   ***
***  by the Free Software Foundation, either version 3 of the License, or    ***
***  (at your option) any later version.                                     ***
***                                                                          ***
***  This program is distributed in the hope that it will be useful, but     ***
***  WITHOUT ANY WARRANTY; without even the implied warranty of              ***
***  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    ***
***  See the GNU Affero General Public License for more details.             ***
***                                                                          ***
***  You should have received a copy of the GNU Affero General Public License***
***  along with this program. If not, see <http://www.gnu.org/licenses/>.    ***
*******************************************************************************/
#ifndef DRN_SURVEYING_SURVEYINGERRORS_H_
#define DRN_SURVEYING_SURVEYINGERRORS_H_

#include <foundation/Error.h>

#include <surveying_export.h>


namespace drn::banking
{

struct BankAccount;

}
namespace drn::surveying
{

struct DRN_SURVEYING_EXPORT SurveyError final : foundation::Error
{
	SurveyError(
		const banking::BankAccount& ba,
		const ::QString& message,
		const std::exception& root = {}
	);
};

}

#endif
